package com.bonus.canteen.core.nutrition.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("健康菜谱发布天数入参")
public class HealthRecipeDayAddDTO {
   @ApiModelProperty("设置天数(1-7天)")
   private @NotNull(
   message = "{nutrition.recipe.detail.day.nonNull}"
) Integer detailDay;
   @ApiModelProperty("菜谱详情")
   private @Valid
   @NotEmpty(
   message = "{nutrition.recipe.detail.dishes.nonNull}"
) List<HealthRecipeDetailAddDTO> healthRecipeDetailAddDTOS;

   public Integer getDetailDay() {
      return this.detailDay;
   }

   public List<HealthRecipeDetailAddDTO> getHealthRecipeDetailAddDTOS() {
      return this.healthRecipeDetailAddDTOS;
   }

   public void setDetailDay(final Integer detailDay) {
      this.detailDay = detailDay;
   }

   public void setHealthRecipeDetailAddDTOS(final List<HealthRecipeDetailAddDTO> healthRecipeDetailAddDTOS) {
      this.healthRecipeDetailAddDTOS = healthRecipeDetailAddDTOS;
   }
   public String toString() {
      Integer var10000 = this.getDetailDay();
      return "HealthRecipeDayAddDTO(detailDay=" + var10000 + ", healthRecipeDetailAddDTOS=" + String.valueOf(this.getHealthRecipeDetailAddDTOS()) + ")";
   }
}
